net.sourceforge.pmd.util.filter

## Class DirectoryFilter

- java.lang.Object
- - net.sourceforge.pmd.util.filter.DirectoryFilter

- All Implemented Interfaces:
    Filter<File>

      public final class DirectoryFilter
      extends Object
      implements Filter<File>

  Directory filter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DirectoryFilter` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(File file)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DirectoryFilter INSTANCE

  - ### Method Detail

    - #### filter

          public boolean filter(File file)

      Specified by:
        `filter` in interface `Filter<File>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.